Page MenuHomePhabricator

Re-enable documentation for ES6-using classes
Closed, ResolvedPublic

Description

Due to T156469, we've been disabling JSDuck on any Parsoid classes that use ES6 syntax. This phab task will just track which files those are, so we can re-enable documentation generation once {T138401: Replace jsduck with JSDoc3 across all Wikimedia code bases} lands.

Event Timeline

cscott created this task.Jan 9 2018, 11:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2018, 11:25 PM
ssastry triaged this task as Medium priority.Jan 10 2018, 10:33 PM
cscott added a comment.Feb 5 2018, 9:20 PM

One more: TokenTransformManager and friends: https://gerrit.wikimedia.org/r/408342

cscott added a comment.EditedFeb 7 2018, 6:54 PM

lib/utils/Util.js lib/utils/DOMUtils.js lib/wt2html/parser.defines.js : https://gerrit.wikimedia.org/r/408826

cscott added a comment.EditedFeb 7 2018, 10:01 PM

ParsoidConfig.js, WikiConfig.js: https://gerrit.wikimedia.org/r/408375

jsduck is dead, although we haven't fully reproduced the old jsduck organization of the documentation yet.

238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 added a project: acl*security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 9:42 AM
Dzahn removed a subscriber: 238482n375.
cscott closed this task as Resolved.Aug 3 2018, 9:35 PM
cscott claimed this task.

Fixed, we're using jsdoc and the jsdoc-wmf-theme now.